<?php

/*
=======================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 05월 06일 월요일 오후 13시 08분 / 흐림, 14.6, 약간 추움, 17, 14, 43%, 18.5mm, 30%, 3.7ms / 최고 좋음, 7, 6

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=======================================================================
 피리 카페 심플 > 피리 카페 관리 > 게시판 게시판 분류 삭제 > 처리하기
=======================================================================

*/

  include_once('./_common.php');

  IF ( PIREE_IS_DEMO_N == 1 )
  {
      alert('[ 데모 사이트 ]에서는 삭제 기능을 제한합니다.');
  }

/*
  * PIREE_SOSS
  * 피리 PIREE ( piree1977@gmail.com )
  * Ver 2.0.0
*/

  include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'cafe.board.category.smallint.2.lib.php') );

  $piree_cafe_n = (int)$_POST['piree_cafe_n'];
  $board_cate_n = (int)$_POST['board_cate_n'];

  IF ( !$piree_cafe_n )
  {
    alert("[ 피리 카페 ]를 선택해 주세요.");
  }

  IF ( !$board_cate_n )
  {
    alert("[ 게시판 분류]를 선택해 주세요.");
  }

  include_once( "./_CAFE.MANAGE.INFO.CHECK.inc.php" );

  IF ( !$board_cate_list_a[$board_cate_n]['board_cate_s'] || $board_cate_list_a[$board_cate_n]['board_cate_s'] == '' )
  {
      alert("삭제하시려는 게시판 분류\\n\\n [". $board_cate_list_a[$board_cate_n]['board_cate_s'] ."]이(가) DATABASE에 없습니다.");
  }

  $sql_where_cafe_cate_where_s = "";

  SWITCH ($board_cate_list_a[$board_cate_n]['bca_depth_n'])
  {

    CASE 1 :

      $sql_select  = "SELECT COUNT(*) FROM `". $piree['cafe_board'] ."` ";
      $sql_select .= "WHERE `bca_cafe_n` = '". $piree_cafe_n ."' AND `bca_depth_n` = '2' AND (`bca_1_n` = '". $board_cate_n ."' OR `bca_parent_n` = '". $board_cate_n ."')";
      $loop_sub_cate_t = (int)sql_efv($sql_select);

      $sql_where_cafe_cate_where_s = " AND (`wr_pi_board_cate_n` BETWEEN '". $board_cate_n ."' AND '". ($board_cate_n+99) ."')";

    BREAK;

    CASE 2 :

      $loop_sub_cate_t = 0;

      $sql_where_cafe_cate_where_s = " AND `wr_pi_board_cate_n` = '". $board_cate_n ."'";

    BREAK;

  }

  $sql_select_count  = "SELECT COUNT(*) FROM `". $piree['cafe_article'] ."` ";
  $sql_select_count .= "WHERE `wr_pi_piree_cafe_n` = '". $piree_cafe_n ."'". $sql_where_cafe_cate_where_s;

  $sql_select = $sql_select_count ." AND `wr_is_comment` = '0'";
  $article_t  = (int)sql_efv($sql_select);

  $sql_select = $sql_select_count ." AND `wr_is_comment` = '0'";
  $comment_t  = (int)sql_efv($sql_select);

  IF ( $delete_rf_n != $piree_cafe_n .'_'. $board_cate_n )
  {

    IF ( $loop_sub_cate_t > 0 )
    {

      alert("하위 분류가 있어서 [ 게시판 분류 ]를 삭제할 수 없습니다.\\n\\n하위 분류를 삭제하신 후에 이 [ 게시판 분류 ]를 삭제 해 주세요.");
    }

    IF ( $article_t > 0 )
    {

      alert("게시글이 있어서 [ 게시판 분류 ]를 삭제할 수 없습니다.\\n\\n게시글을 삭제하신 후에 이 [ 게시판 분류 ]를 삭제 해 주세요.");
    }

    IF ( $comment_t > 0 )
    {

      alert("댓글이 있어서 [ 게시판 분류 ]를 삭제할 수 없습니다.\\n\\n댓글을 삭제하신 후에 이 [ 게시판 분류 ]를 삭제 해 주세요.");
    }

  }

  $sql_delete  = "DELETE FROM `". $piree['cafe_board'] ."` ";
  $sql_delete .= "WHERE `bca_cafe_n` = '". $piree_cafe_n ."' AND `bca_cate_n` = '". $board_cate_n ."'";

  IF ( !sql_query($sql_delete) )
  {

    alert("게시판 분류[ ". $board_cate_list_a[$board_cate_n]['board_cate_s'] ." ]를 삭제하지 못했습니다.");

  }

  IF ( $delete_rf_n == $piree_cafe_n .'_'. $board_cate_n )
  {

    SWITCH ($board_cate_list_a[$board_cate_n]['bca_depth_n'])
    {

      CASE 1 :

        IF ( $loop_sub_cate_t > 0 )
        {

          $sql_delete  = "DELETE FROM `". $piree['cafe_board'] ."` ";
          $sql_delete .= "WHERE `bca_cafe_n` = '". $piree_cafe_n ."' AND `bca_depth_n` = '2' AND (`bca_1_n` = '". $board_cate_n ."' OR `bca_parent_n` = '". $board_cate_n ."')";

          IF ( !sql_query($sql_delete) )
          {

            alert("게시판 분류[ ". $board_cate_list_a[$board_cate_n]['board_cate_s'] ." ]의\\n\\n하위 분류를 삭제하지 못했습니다.");

          }

        }

      BREAK;

      CASE 2 :

      BREAK;

    }

    IF ( $article_t > 0 || $comment_t > 0 )
    {

      $sql_delete  = "DELETE FROM `". $piree['cafe_article'] ."` ";
      $sql_delete .= "WHERE `wr_pi_piree_cafe_n` = '". $piree_cafe_n ."'". $sql_where_cafe_cate_where_s;

      IF ( !sql_query($sql_delete) )
      {

        alert("게시판 분류[ ". $board_cate_list_a[$board_cate_n]['board_cate_s'] ." ]의\\n\\n게시글, 댓글을 삭제하지 못했습니다.");

      }

    }

  }

  $category_i_a = get_category_upper_smallint2_cafe_board($board_cate_n);

  get_sub_category_count_depth_smallint2_cafe_board($category_i_a, $board_cate_n);

  $go_url_s = "board.category.list.php?piree_cafe_n=". $piree_cafe_n ."&board_cate_n=". $board_cate_n;

  alert("게시판 분류[ ". $board_cate_list_a[$board_cate_n]['board_cate_s'] ." ]를 삭제 하였습니다.", $go_url_s, 0);
  EXIT;

  goto_url($go_url_s);
  EXIT;

?>